/**
 * Displays tabular data in rows and columns.
 *
 * @status new
 * @version 8.0.0
 * @type Progressively enhanced
 */
export declare class NanoTable {
    host: HTMLElement;
    propsReady: boolean;
    /** If true, the table will be rendered in a compact style. */
    compact: boolean | 'auto';
    handleCompactChange(): void;
    /** If true, will render any nested table in a scrollable container (using `overflow: auto`) */
    scrollable: boolean;
    /** Visually hide the table's caption */
    hideCaption: boolean;
    handleHideCaptionChange(): void;
    /** Disable the clickable rows functionality. */
    disableClickableRows: boolean;
    private resizeObserver;
    private mutationObserver;
    private intersectionObserver;
    private settingUp;
    private get table();
    private get caption();
    private setupProperties;
    private getRowClickElements;
    private rowClickHandler;
    private makeCellsSticky;
    private addObservers;
    private cleanUpObservers;
    constructor();
    connectedCallback(): void;
    componentDidRender(): void;
    disconnectedCallback(): void;
    render(): any;
}
